/***************************************************************************
 *                                                                         *
 *   cad/cadarc.h                                                          *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__CADARC_H
#define CAD__CADARC_H

#include "cadentity.h"

namespace cad
{
	/**
	 * CADArc represents a geometrical arc
	 * @author Christoph Permes
	 */
	class CADArc : public CADEntity
	{
	public:

		CADArc(QString layer, double centerX = 0.0, double centerY = 0.0,
			double radius = 0.0, double startAngle = 0.0, 
			double endAngle = 0.0);
		~CADArc();
		
		/** @return ID_CADARC as entity ID */
		virtual CADEntityType getEntityType() const
		{ return ID_CADARC; }
		
		double getCenterX() const;
		double getCenterY() const;
		double getRadius() const;
		double getStartAngle() const;
		double getEndAngle() const;
		double getAngle() const;
		double getLength() const;
		
		void setCenter(double x, double y);
		void setCenterX(double x);
		void setCenterY(double y);
		void setRadius(double radius);
		void setStartAngle(double startAngle);
		void setEndAngle(double endAngle);
	
	private:
		double centerX;
		double centerY;
		double radius;
		double startAngle;
		double endAngle;
	
	};
}

#endif // CAD__CADARC_H
