/***************************************************************************
 *                                                                         *
 *   cad/cadcircle.cpp                                                     *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cadcircle.h"

#include <cmath>

using namespace cad;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

CADCircle::CADCircle(QString layer, double centerX, double centerY, 
	double radius)
{
	this->centerX = centerX;
	this->centerY = centerY;
	this->radius = radius;
}

CADCircle::~CADCircle()
{

}

/***************************************************************************
 * Get/Set Methods                                                         *
 ***************************************************************************/

double CADCircle::getCenterX() const
{
	return centerX;
}

double CADCircle::getCenterY() const
{
	return centerY;
}

double CADCircle::getRadius() const
{
	return radius;
}

double CADCircle::getDiameter() const
{
	return 2 * radius;
}

double CADCircle::getPerimeter() const
{
	return 2 * radius * (4*atan(1.0));
}

double CADCircle::getArea() const
{
	return pow(radius, 2) * (4*atan(1.0));
}

void CADCircle::setCenter(double x, double y)
{
	centerX = x;
	centerY = y;
}

void CADCircle::setCenterX(double x)
{
	centerX = x;
}

void CADCircle::setCenterY(double y)
{
	centerY = y;
}

void CADCircle::setRadius(double radius)
{
	this->radius = radius;
}

// EOF
