/***************************************************************************
 *                                                                         *
 *   cad/cadcircle.h                                                       *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__CADCIRCLE_H
#define CAD__CADCIRCLE_H

#include "cadentity.h"

namespace cad
{
	/**
	 * CADCircle represents a geometrical Circle
	 * @author Christoph Permes
	 */
	class CADCircle : public CADEntity
	{
	public:
		CADCircle(QString layer, double centerX = 0.0, 
			double centerY = 0.0, double radius = 0.0);
		~CADCircle();
		
		/** @return ID_CADCIRCLE as entity ID */
		virtual CADEntityType getEntityType() const
		{ return ID_CADCIRCLE; }
		
		double getCenterX() const;
		double getCenterY() const;
		double getRadius() const;
		double getDiameter() const;
		double getPerimeter() const;
		double getArea() const;

		void setCenter(double x, double y);
		void setCenterX(double x);
		void setCenterY(double y);
		void setRadius(double radius);

	private:
		double centerX;
		double centerY;
		double radius;
	
	};
}

#endif // CAD__CADCIRCLE_H
