/***************************************************************************
 *                                                                         *
 *   cad/cadcoordinat.h                                                    *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__CADCOORDINATE_H
#define CAD__CADCOORDINATE_H

#include <qstring.h>

#include "../util/exception.h"

using util::Exception;

namespace cad
{
	/**
		CADCoordinate represents a Coordinate, transforms text to 
		valid Coordinates and transforms carthesian to polar coordinates
		@author Christoph Permes
	*/
	class CADCoordinate
	{
	public:
		CADCoordinate(double x = 0.0, double y = 0.0, bool absolute = true);
		~CADCoordinate();
		
		double getX() const;
		double getY() const;
		double getDistance() const;
		double getAngle() const;
		
		void set(double x, double y);
		void set(QString s) throw (Exception);
		void setX(double x);
		void setY(double y);
		void setDistance(double distance);
		void setAngle(double angle);
		
		bool getAbsolute() const;
		void setAbsolute(bool absolute);
		
		CADCoordinate operator+(CADCoordinate c);
		
	private:
		double x;
		double y;
		bool absolute;
		
	};
}

#endif // CAD__CADCOORDINATE_H
