/***************************************************************************
 *                                                                         *
 *   cad/caddrawing.cpp                                                    *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "caddrawing.h"

#include <qobject.h>

using namespace cad;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

CADDrawing::CADDrawing()
{
	// Create default linetypes
	linetypeList.add(CADLinetype("BYLAYER"));
	linetypeList.add(CADLinetype("BYBLOCK"));
	linetypeList.add(CADLinetype("CONTINUOS", "Solid Line"));
}

CADDrawing::~CADDrawing()
{
	
}

/***************************************************************************
 * Get/Set Methods                                                         *
 ***************************************************************************/

CADLayer CADDrawing::getActiveLayer() const
{
	return layerList.getLayer(layerList.getActive());
}

void CADDrawing::setActiveLayer(QString name) throw (Exception)
{
	layerList.setActive(name);
}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** update the layer list */
void CADDrawing::updateLayerList(CADLayerList layerList, LayerRenamingManager rm)
{
	this->layerList = layerList;
	// TODO: Apply renamings to affected entities
	rm.showRenamings();
}

/** update the linetype list */
void CADDrawing::updateLinetypeList(CADLinetypeList linetypeList)
{
	// TODO: check for deleted linetypes
	this->linetypeList = linetypeList;
}

// EOF
