/***************************************************************************
 *                                                                         *
 *   cad/cadline.h                                                         *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__CADLINE_H
#define CAD__CADLINE_H

#include "cadentity.h"

namespace cad
{
	/**
	 * CADLine represents a geometrical Line
	 * @author Christoph Permes
	 */
	class CADLine : public CADEntity
	{
	public:
		CADLine(QString layer, double startX = 0.0, double startY = 0.0, 
			double endX = 0.0, double endY = 0.0);
		~CADLine();
		
		/** @return ID_CADLINE as entity ID */
		virtual CADEntityType getEntityType() const
		{ return ID_CADLINE; }
	
		double getStartX() const;
		double getStartY() const;
		double getEndX() const;
		double getEndY() const;
		double getLength() const;
		double getAngle() const;
		double getDeltaX() const;
		double getDeltaY() const;
	
		void setStart(double x, double y);
		void setStartX(double x);
		void setStartY(double y);
		void setEnd(double x, double y);
		void setEndX(double x);
		void setEndY(double y);
	
	private:
		double startX;
		double startY;
		double endX;
		double endY;
	
	};
}

#endif // CAD__CADLINE_H
