/***************************************************************************
 *                                                                         *
 *   cad/cadpoint.h                                                        *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__CADPOINT_H
#define CAD__CADPOINT_H

#include "cadentity.h"

namespace cad
{
	/**
	 * CADPoint represents a geometrical Point
	 * @author Christoph Permes
	 */
	class CADPoint : public CADEntity
	{
	public:
		CADPoint(QString layer, double x = 0.0, double y = 0.0);
		~CADPoint();
	
		/** @return ID_CADPOINT as entity ID */
		virtual CADEntityType getEntityType() const
		{ return ID_CADPOINT; }
		
		double getX() const;
		double getY() const;
		void set(double x, double y);
		void setX(double x);
		void setY(double y);
	
	private:
		double x;
		double y;
	
	};
}

#endif // CAD__CADPOINT_H
