/***************************************************************************
 *                                                                         *
 *   cad/cadray.cpp                                                        *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "cadray.h"

using namespace cad;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

CADRay::CADRay(QString layer, double startX, double startY, double secondX, 
	double secondY)
{
	setStart(startX, startY);
	setSecond(secondX, secondY);
}

CADRay::~CADRay()
{

}

/***************************************************************************
 * Get/Set Methods                                                         *
 ***************************************************************************/

double CADRay::getStartX() const
{
	return startX;
}

double CADRay::getStartY() const
{
	return startY;
}

double CADRay::getSecondX() const
{
	return startX + directionX;
}

double CADRay::getSecondY() const
{
	return startY + directionY;
}

double CADRay::getDirectionX() const
{
	return directionX;
}

double CADRay::getDirectionY() const
{
	return directionY;
}

void CADRay::setStart(double x, double y)
{
	startX = x;
	startY = y;
}

void CADRay::setStartX(double x)
{
	startX = x;
}

void CADRay::setStartY(double y)
{
	startY = y;
}

void CADRay::setSecond(double x, double y)
{
	directionX = x - startX;
	directionY = y - startY;
}

void CADRay::setSecondX(double x)
{
	directionX = x;
}

void CADRay::setSecondY(double y)
{
	directionY = y;
}

// EOF
