/***************************************************************************
 *                                                                         *
 *   cad/cadray.h                                                          *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__CADRAY_H
#define CAD__CADRAY_H

#include "cadentity.h"

namespace cad
{
	/**
	 * CADRay represents a geometrical Ray
	 * @author Christoph Permes
	 */
	class CADRay : public CADEntity
	{
	public:
		CADRay(QString layer, double startX = 0.0, double startY = 0.0, 
			double secondX = 0.0, double secondY = 0.0);
		~CADRay();
		
		/** @return ID_CADRAY as entity ID */
		virtual CADEntityType getEntityType() const
		{ return ID_CADRAY; }
	
		double getStartX() const;
		double getStartY() const;
		double getSecondX() const;
		double getSecondY() const;
		double getDirectionX() const;
		double getDirectionY() const;
		
		void setStart(double x, double y);
		void setStartX(double x);
		void setStartY(double y);
		void setSecond(double x, double y);
		void setSecondX(double x);
		void setSecondY(double y);
	
	private:
		double startX;
		double startY;
		double directionX;
		double directionY;
	
	};
}

#endif // CAD__CADRAY_H
