/***************************************************************************
 *                                                                         *
 *   cad/cadxline.h                                                        *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef CAD__CADXLINE_H
#define CAD__CADXLINE_H

#include "cadray.h"

namespace cad
{
	/**
	 * CADXLine represents a Construction Line
	 * @author Christoph Permes
	 */
	class CADXLine : public CADRay
	{
	public:
		CADXLine(QString layer, double startX = 0.0, double startY = 0.0, 
			double secondX = 0.0, double secondY = 0.0);
		~CADXLine();

		/** @return ID_CADXLINE as entity ID */
		virtual CADEntityType getEntityType() const
		{ return ID_CADXLINE; }
		
	};
}

#endif // CAD__CADXLINE_H
