/***************************************************************************
 *                                                                         *
 *   exporters/xml/xmllinetype.h                                           *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EXPORTERS__XML__XMLLINETYPE_H
#define EXPORTERS__XML__XMLLINETYPE_H

#include <qstring.h>
#include <qdom.h>

#include "../../cad/cadlinetype.h"

using cad::CADLinetype;

namespace exporters
{
	namespace xml
	{
		/**
		 * XmlLinetype exports and imports XML-Code from a Linetype
		 * @author Christoph Permes
		 */
		class XmlLinetype
		{
		public:
			/** Constructor */
			XmlLinetype();
			/** Destructor */
			~XmlLinetype();
			
			/** exports the given CADLinetype to a QDomDocument */
			QDomDocument xmlExport(CADLinetype linetype);
			/** imports the given QDomDocument to a CADLinetype */
			CADLinetype xmlImport(QDomElement element);
			
		};
	}
}

#endif // CAD__LINETYPEXMLEXPORT_H
