/***************************************************************************
 *                                                                         *
 *   exporters/xml/xmllinetypelist.cpp                                     *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "xmllinetypelist.h"
#include "xmllinetype.h"

using exporters::xml::XmlLinetypeList;
using exporters::xml::XmlLinetype;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
XmlLinetypeList::XmlLinetypeList()
{

}

/** Destructor */
XmlLinetypeList::~XmlLinetypeList()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/** exports the given CADLinetypeList to a QDomDocument */
QDomDocument XmlLinetypeList::xmlExport(CADLinetypeList linetypeList)
{
	QDomDocument doc;
	QDomElement element = doc.createElement("linetypelist");
	doc.appendChild(element);
	
	XmlLinetype x;
	for (int i = 0; i<linetypeList.getCount(); i++)
	{
		element.appendChild(x.xmlExport(linetypeList.getLinetype(i)));
	}

	return doc;
}

/** imports the given QDomDocument to a CADLinetypeList */
CADLinetypeList XmlLinetypeList::xmlImport(QDomElement element)
{
	CADLinetypeList linetypes;
	QDomNodeList list = element.childNodes();
	XmlLinetype x;
	for (int i = 0; i<list.count(); i++)
	{
		QDomNode e = list.item(i);
		if (e.isElement())
		{
			CADLinetype lt = x.xmlImport(e.toElement());
			if (!lt.getName().isEmpty())
				linetypes.add(lt, true);
		}
	}
	return linetypes;
}

// EOF
