/***************************************************************************
 *                                                                         *
 *   exporters/xml/xmllinetypelist.h                                       *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef EXPORTERS__XML__XMLLINETYPELIST_H
#define EXPORTERS__XML__XMLLINETYPELIST_H

#include <qstring.h>
#include <qdom.h>

#include "../../cad/cadlinetypelist.h"

using cad::CADLinetypeList;

namespace exporters
{
	namespace xml
	{
		/**
		 * XmlLinetypeList exports and imports XML-Code from a LinetypeList
		 * @author Christoph Permes
		 */
		class XmlLinetypeList
		{
		public:
			/** Constructor */
			XmlLinetypeList();
			/** Destructor */
			~XmlLinetypeList();
			
			/** exports the given CADLinetypeList to a QDomDocument */
			QDomDocument xmlExport(CADLinetypeList linetypeList);
			/** imports the given QDomDocument to a CADLinetypeList */
			CADLinetypeList xmlImport(QDomElement element);
	
		};
	}
}

#endif // CAD__LINETYPEXMLEXPORT_H
