/***************************************************************************
 *                                                                         *
 *   gui/dialogs/aboutdialog.h                                             *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__DIALOGS__ABOUTDIALOG_H
#define GUI__DIALOGS__ABOUTDIALOG_H

#include <qdialog.h>
#include <qlabel.h>
#include <qpushbutton.h>
#include <qtextedit.h>
#include <qtabwidget.h>

namespace gui
{
	namespace dialogs
	{
		/**
			AboutDialog contains information about ConstructCAD
			@author Christoph Permes
		*/
	    class AboutDialog : public QDialog
	    {
		Q_OBJECT
	    public:
			AboutDialog(QWidget* parent=0, const char *name=0);
			~AboutDialog();
	    private:
			QLabel* programIcon;
			QLabel* programName;
			QTabWidget* tabWidget;
			QWidget* tabs[2];
			QLabel* version;
			QLabel* copyright;
			QLabel* web;
			QTextEdit* license;
			QPushButton* btClose;
		private slots:
			void sltClose();
	    };
	}
}

#endif // GUI__DIALOGS__ABOUTDIALOG_H
