/***************************************************************************
 *                                                                         *
 *   gui/dialogs/linetypedialog.h                                          *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 
#ifndef GUI__DIALOGS__LINETYPEDIALOG_H
#define GUI__DIALOGS__LINETYPEDIALOG_H

#include "linetypedialogbase.h"

#include "../../cad/cadlinetypelist.h"

namespace gui
{
	namespace dialogs
	{
		using cad::CADLinetypeList;
		
		/**
		 * LinetypeDialog is a dialog for selecting a linetype
		 * @author Christoph Permes
		 */
		class LinetypeDialog : public LinetypeDialogBase
		{
		Q_OBJECT
		public:
			/**
			 * Create a linetype dialog for selecting a linetype from the 
			 * given CADLinetypeList
			 * @param allowByLayer: true if linetype can be BYLAYER
			 */
			LinetypeDialog(CADLinetypeList linetypeList, bool allowByLayer, QWidget* parent = 0, const char* name = 0);
			/** Destructor */
			virtual ~LinetypeDialog();
			
			/** @return the selected linetype */
			QString getLinetype() const;
			/** set the selected linetype */
			void setLinetype(QString linetype);
			
		private:
			QPushButton* load;
		
		private slots:
			virtual void sltOKClick();
			void sltLoadClick();
		};
	}
}

#endif // GUI__DIALOGS__LINETYPEDIALOG_H
