/***************************************************************************
 *                                                                         *
 *   gui/dialogs/linetypedialogbase.h                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 
#ifndef GUI__DIALOGS__LINETYPEDIALOGBASE_H
#define GUI__DIALOGS__LINETYPEDIALOGBASE_H

#include <qdialog.h>
#include <qlistview.h>
#include <qpushbutton.h>

#include "../../cad/cadlinetypelist.h"

namespace gui
{
	namespace dialogs
	{
		using cad::CADLinetypeList;
		
		/**
		 * LinetypeDialogBase is the base class of linetype dialogs
		 * @author Christoph Permes
		 */
		class LinetypeDialogBase : public QDialog
		{
		Q_OBJECT
		public:
			/** Constructor */
			LinetypeDialogBase(QWidget* parent = 0, const char* name = 0);
			/** Destructor */
			virtual ~LinetypeDialogBase();
			
			/** @return the linetype list */
			CADLinetypeList getLinetypeList() const
			{ return linetypeList; }
			
		protected:
			QListView* linetypeView;
			QPushButton* ok;
			QPushButton* cancel;
			CADLinetypeList linetypeList;
			bool allowByLayer;
			
			/** updates the linetype View */
			void updateView();
		
		protected slots:
			virtual void sltOKClick();
			void sltCancelClick();
		};
	}
}

#endif // GUI__DIALOGS__LINETYPEDIALOGBASE_H
