/***************************************************************************
 *                                                                         *
 *   gui/dialogs/linetypeloaddialog.h                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
 
#ifndef GUI__DIALOGS__LINETYPELOADDIALOG_H
#define GUI__DIALOGS__LINETYPELOADDIALOG_H

#include "linetypedialogbase.h"

#include "../../util/exception.h"

namespace gui
{
	namespace dialogs
	{
		using util::Exception;
		
		/**
		 * LinetypeLoadDialog is a dialog for loading linetypes from a file
		 * @author Christoph Permes
		 */
		class LinetypeLoadDialog : public LinetypeDialogBase
		{
		Q_OBJECT
		public:
			/** Constructor */
			LinetypeLoadDialog(QWidget* parent = 0, const char* name = 0);
			/** Destructor */
			~LinetypeLoadDialog();
			
			/** @return the list of loaded linetypes */
			CADLinetypeList getLinetypes() const;
		
		private:
			QPushButton* file;
			
			/** loads a CADLinetypeList from a file */
			CADLinetypeList loadFromFile(QString filename) throw (Exception);
			
		private slots:
			void sltFileClick();
		};
	}
}

#endif // GUI__DIALOGS__LINETYPELOADDIALOG_H
