/***************************************************************************
 *                                                                         *
 *   gui/edit/circleedit.h                                                 *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__EDIT__CIRCLEEDIT_H
#define GUI__EDIT__CIRCLEEDIT_H

#include "entityedit.h"
#include "coordinateedit.h"
#include "valueedit.h"
#include "../../cad/cadcircle.h"

#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>

namespace gui
{
	namespace edit
	{
		using cad::CADCircle;
		
		/**
		 * CircleEdit is a widget for editing circles
		 * @author Christoph Permes
		 */
		class CircleEdit : public EntityEdit
		{
		Q_OBJECT
		public:
			CircleEdit(CADCircle* circle, QWidget* parent = 0, 
				const char* name = 0);
			~CircleEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
			
		private:
			CADCircle* circle;
			CoordinateEdit* centerEdit;
			ValueEdit* radiusEdit;
			QLabel* diameter;
			QLabel* diameterDisplay;
			QLabel* perimeter;
			QLabel* perimeterDisplay;
			QLabel* area;
			QLabel* areaDisplay;
			
			void update();
		
		private slots:
			void sltCenterChanged(double &x, double &y);
			void sltCenterSpecify();
			void sltRadiusChanged(double &value);
		
		};
	}
}

#endif // GUI__EDIT__CIRCLEEDIT_H
