/***************************************************************************
 *                                                                         *
 *   gui/edit/coordinateedit.h                                             *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__EDIT__COORDINATEEDIT_H
#define GUI__EDIT__COORDINATEEDIT_H

#include <qgroupbox.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>

#include "../../util/exception.h"

namespace gui
{
	namespace edit
	{
		using util::Exception;
	
		/**
		 * CoordinateEdit is a widget for editing coordinates
		 * @author Christoph Permes
		 */
		class CoordinateEdit : public QGroupBox
		{
		Q_OBJECT
		public:
			CoordinateEdit(QWidget* parent = 0, const char* name = 0);
			~CoordinateEdit();
			
			double getX() throw (Exception);
			double getY() throw (Exception);
			void setCoordinate(double x, double y);
		
		private:
			double xValue;
			double yValue;
			QPushButton* specify;
			QLabel* x;
			QLineEdit* xEdit;
			QLabel* y;
			QLineEdit* yEdit;
			
			void update();
		
		private slots:
			void sltSpecify();
			void sltXEnter();
			void sltYEnter();
		signals:
			void changed(double &x, double &y);
			void specifyPoint();
		
		};
	}
}

#endif // GUI__EDIT__COORDINATEEDIT_H
