/***************************************************************************
 *                                                                         *
 *   gui/edit/entityedit.h                                                 *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__EDIT__ENTITYEDIT_H
#define GUI__EDIT__ENTITYEDIT_H

#include <qwidget.h>

#include "../../cad/cadentity.h"
#include "../../util/exception.h"

namespace gui
{
	namespace edit
	{
		using cad::CADEntity;
		using util::Exception;
	
		/**
		 * EntityEdit is the base class of editing widgets
		 * @author Christoph Permes
		 */
		class EntityEdit : public QWidget
		{
		Q_OBJECT
		public:
			/** Create an EntityEdit */
			EntityEdit(QWidget* parent = 0, const char* name = 0):
			QWidget(parent, name) {}
			/** Destructor */
			virtual ~EntityEdit() {}
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception) = 0;
		signals:
			void specify();
			
		};
	}
}

#endif // GUI__EDIT__ENTITYEDIT_H
