/***************************************************************************
 *                                                                         *
 *   gui/edit/lineedit.h                                                   *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__EDIT__LINEEDIT_H
#define GUI__EDIT__LINEEDIT_H

#include "entityedit.h"
#include "coordinateedit.h"
#include "../../cad/cadline.h"

#include <qlabel.h>

namespace gui
{
	namespace edit
	{
		using cad::CADLine;
		
		/**
		 * LineEdit is a widget for editing lines
		 * @author Christoph Permes
		 */
		class LineEdit : public EntityEdit
		{
		Q_OBJECT
		public:
			LineEdit(CADLine* line, QWidget* parent = 0, 
				const char* name = 0);
			~LineEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
		
		private:
			CADLine* line;
			CoordinateEdit* startEdit;
			CoordinateEdit* endEdit;
			QLabel* deltaX;
			QLabel* deltaY;
			QLabel* length;
			QLabel* angle;
			QLabel* deltaXDisplay;
			QLabel* deltaYDisplay;
			QLabel* lengthDisplay;
			QLabel* angleDisplay;
			
			virtual void update();
		
		private slots:
			void sltStartChanged(double &x, double &y);
			void sltStartSpecify();
			void sltEndChanged(double &x, double &y);
			void sltEndSpecify();
		
		};
	}
}

#endif // GUI__EDIT__LINEEDIT_H
