/***************************************************************************
 *                                                                         *
 *   gui/edit/pointedit.h                                                  *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__EDIT__POINTEDIT_H
#define GUI__EDIT__POINTEDIT_H

#include "entityedit.h"
#include "coordinateedit.h"
#include "../../cad/cadpoint.h"

namespace gui
{
	namespace edit
	{
		using cad::CADPoint;
		
		/**
		 * PointEdit is a widget for editing points
		 * @author Christoph Permes
		 */
		class PointEdit : public EntityEdit
		{
		Q_OBJECT
		public:
			PointEdit(CADPoint* point, QWidget* parent = 0, 
				const char* name = 0);
			~PointEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
		
		private:
			CoordinateEdit* pointEdit;
			CADPoint* point;
			
			void update();
		
		private slots:
			void sltChanged(double &x, double &y);
			void sltPointSpecify();
		
		};
	}
}

#endif // GUI__EDIT__POINTEDIT_H
