/***************************************************************************
 *                                                                         *
 *   gui/edit/rayedit.h                                                    *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__EDIT__RAYEDIT_H
#define GUI__EDIT__RAYEDIT_H

#include "entityedit.h"
#include "coordinateedit.h"
#include "../../cad/cadray.h"

#include <qlabel.h>

namespace gui
{
	namespace edit
	{
		using cad::CADRay;
		
		/**
		 * RayEdit is a widget for editing rays
		 * @author Christoph Permes
		 */
		class RayEdit : public EntityEdit
		{
		Q_OBJECT
		public:
			RayEdit(CADRay* ray, QWidget* parent = 0, 
				const char* name = 0);
			~RayEdit();
			
			/** @return the edited entity */
			virtual CADEntity* getEntity() throw (Exception);
		
		private:
			CADRay* ray;
			CoordinateEdit* startEdit;
			CoordinateEdit* secondEdit;
			QLabel* directionX;
			QLabel* directionY;
			QLabel* directionXDisplay;
			QLabel* directionYDisplay;
			
			void update();
		
		private slots:
			void sltStartChanged(double &x, double &y);
			void sltStartSpecify();
			void sltSecondChanged(double &x, double &y);
			void sltSecondSpecify();
		
		};
	}
}

#endif // GUI__EDIT__RAYEDIT_H
