/***************************************************************************
 *                                                                         *
 *   gui/edit/valueedit.h                                                  *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__EDIT__VALUEEDIT_H
#define GUI__EDIT__VALUEEDIT_H

#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>

#include "../../util/exception.h"

namespace gui
{
	namespace edit
	{
		using util::Exception;
		
		/**
		 * ValueEdit is a widget for editing values of properties
		 * @author Christoph Permes
		 */
		class ValueEdit : public QWidget
		{
		Q_OBJECT
		public:
			/** Create a ValueEdit */
			ValueEdit(QWidget* parent = 0, const char* name = 0);
			/** Destructor */
			~ValueEdit();
			
			/** @return the entered value */
			double getValue() throw (Exception);
			/** set the initial value */
			void setValue(double value);
			/** set the value description */
			void setTitle(QString title);
			
		private:
			double value;
			QLabel* title;
			QLineEdit* valueEdit;
		
		private slots:
			void sltValueEnter();
			
		signals:
			void valueChanged(double &value);
			
		};
	}
}

#endif // GUI__EDIT__VALUEEDIT_H
