/***************************************************************************
 *                                                                         *
 *   gui/widgets/colorpalette.h                                            *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__WIDGETS__COLORPALETTE_H
#define GUI__WIDGETS__COLORPALETTE_H

#include <qwidget.h>
#include <qpixmap.h>
#include <qevent.h>

namespace gui
{
	namespace widgets
	{
		/**
		 * ColorPalette is a palette for selecting basic colors
		 * @author Christoph Permes
		 */
		class ColorPalette : public QWidget
		{
		Q_OBJECT
		public:
			ColorPalette(QWidget* parent = 0, const char* name = 0);
			~ColorPalette();
			
		protected:
			virtual void mousePressEvent(QMouseEvent* e);
			virtual void paintEvent(QPaintEvent* e);
		
		private:
			QPixmap colors;
		
		signals:
			void selected(int);
		
		};
	}
}

#endif // GUI__WIDGETS__COLORPALETTE_H
