/***************************************************************************
 *                                                                         *
 *   gui/widgets/commandline.h                                             *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__WIDGETS__COMMANDLINE_H
#define GUI__WIDGETS__COMMANDLINE_H

#include "../../io/commandhistory.h"
#include "../../cad/cadcoordinate.h"

#include <qwidget.h>
#include <qlineedit.h>

namespace gui
{
	namespace widgets
	{
		using io::CommandHistory;
		using cad::CADCoordinate;
		
		/**
		 * CommandLine is a widget for Command input
		 * @author Christoph Permes
		 */
		class CommandLine : public QLineEdit
		{
		Q_OBJECT
		public:
			CommandLine(CommandHistory* history, QWidget* parent = 0, char* name = 0);
			~CommandLine();
			
			void print(QString s);
			void clear();
		
		signals:
			void input(QString& line, QString& input);
				
		protected:
			void keyPressEvent(QKeyEvent* e);
	
		private:
			QString currentText;
			QString currentInput;
			CommandHistory* history;
			
			void printAll();
		
		};
	}
}

#endif // GUI__WIDGETS__COMMANDLINE_H
