/***************************************************************************
 *                                                                         *
 *   gui/widgets/commandwidget.h                                           *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__WIDGETS__COMMANDWIDGET_H
#define GUI__WIDGETS__COMMANDWIDGET_H

#include "commandline.h"
#include "../../io/commandhistory.h"
#include "../../io/iostate.h"
#include <qwidget.h>
#include <qtextedit.h>

namespace gui
{
	namespace widgets
	{
		using namespace io;
		
		/**
		 * CommandWidget contains the Commandline and displays the 
		 * command history
		 * @author Christoph Permes
		 */
		class CommandWidget : public QWidget
		{
		Q_OBJECT
		public:
			CommandWidget(CommandHistory* history, QWidget* parent = 0, char* name = 0);
			~CommandWidget();

			CommandLine* getCommandLine();
			IOState getIOState() const;
			void setIOState(IOState state);
			
			void print(QString s);
			void printLine(QString s = QString::null);
			
		signals:
			void input(QString& s);

		protected:
			void resizeEvent(QResizeEvent* e);
			
		private:
			QTextEdit* history;
			CommandLine* commandLine;
			IOState state;
			
		private slots:
			void appendLine(QString& line, QString& input);

		};
	}
}

#endif // GUI__WIDGETS__COMMANDWIDGET_H
