/***************************************************************************
 *                                                                         *
 *   gui/widgets/completepalette.cpp                                       *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "completepalette.h"

#include <qpainter.h>

#include "../../cad/cadcolor.h"

using gui::widgets::CompletePalette;
using cad::CADColor;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

CompletePalette::CompletePalette(QWidget* parent, const char* name) : 
QWidget(parent, name)
{
	colors.resize(360, 80);
	colors.fill(Qt::darkGray);
	QPainter painter;
	painter.begin(&colors);
	painter.setPen(Qt::darkGray);
	
	for (int i = 0; i<24; i++)
	{
		for (int j = 0; j<10; j+=2)
		{
			//const int* color = CADColor::getColor((i+1)*10+j);
			CADColor color((i+1)*10+j);
			painter.setBrush(QColor(color.getRed(), color.getGreen(), color.getBlue()));
			painter.drawRect(i*15, 40-((j+2)/2*8), 15, 8);
		}
		for (int j = 1; j<10; j+=2)
		{
			//const int* color = CADColor::getColor((i+1)*10+j);
			CADColor color((i+1)*10+j);
			painter.setBrush(QColor(color.getRed(), color.getGreen(), color.getBlue()));
			painter.drawRect(i*15, 40+(j/2*8), 15, 8);
		}
	}
}

CompletePalette::~CompletePalette()
{
	
}

/***************************************************************************
 * Protected Methods                                                       *
 ***************************************************************************/
			
void CompletePalette::mousePressEvent(QMouseEvent* e)
{
	int x = (e->x()/15+1)*10;
	int y = e->y()/8;
	y = (y > 4) ? 1+(2*(y-5)) : 8-(2*y);
	emit selected(x+y);
}

void CompletePalette::paintEvent(QPaintEvent* e)
{
	bitBlt(this, 0, 0, &colors);
}
