/***************************************************************************
 *                                                                         *
 *   io/commandhistory.h                                                   *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef GUI__COMMAND__COMMANHISTORY_H
#define GUI__COMMAND__COMMANHISTORY_H

#include <qstringlist.h>

namespace io
{
	/**
		CommandHistory stores all called Commands
		@author Christoph Permes
	*/
	class CommandHistory : private QStringList
	{
	public:
		CommandHistory();
		~CommandHistory();
		
		void add(QString command);
		void clear();
		void reset();
		QString previous();
		QString next();
		QString last();
		
	private:
		int current;
	};
}

#endif // GUI__COMMAND__COMMANHISTORY_H
