/***************************************************************************
 *                                                                         *
 *   util/exception.h                                                      *
 *   (C) 2004 by Christoph Permes                                          *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef UTIL__EXCEPTION_H
#define UTIL__EXCEPTION_H

namespace util
{
	/**
	 * Exception stores an error message
	 *
	 * @author Christoph Permes
	 */
	class Exception
	{
	public:
		/**
		 * Creates an exception with the given error message
		 */
		Exception(QString error = QString::null)
		{
			this->error = error;
		}
		/** Destroys the exception */
		~Exception()
		{}
		
		/** @return the error message */
		QString getError()
		{
			return error;
		}
		
	private:
		//! error message
		QString error;
	};

}

#endif // UTIL__EXCEPTION_H
