/***************************************************************************
 *                                                                         *
 *   util/layerrenaming.h                                                  *
 *   (C) 2004 by Bernhard Jantscher                                        *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef UTIL__LAYERRENAMING_H
#define UTIL__LAYERRENAMING_H

#include <qstring.h>

namespace util
{
	class LayerRenaming
	{
		public:
			/** Constructor */
			LayerRenaming();
			/** Create a LayerRenaming with the given names */
			LayerRenaming(QString layerold, QString layernew);
			/** Destructor */
			~LayerRenaming();
			
			/** @return old layer name */
			QString getOldLayer() { return layerold; }
			/** @return new layer name */
			QString getNewLayer() { return layernew; }
			/** set old layer name */
			void setOldLayer(QString layerold) { this->layerold = layerold; }
			/** set new layer name */
			void setNewLayer(QString layernew) { this->layernew = layernew; }
			
			friend class LayerRenamingManager;
			
		protected:
			QString layerold;
			QString layernew;
			
	};
}

#endif // UTIL__LAYERRENAMING_H
