/***************************************************************************
 *                                                                         *
 *   util/layerrenamingmanager.cpp                                         *
 *   (C) 2004 by Bernhard Jantscher                                        *
 *   ConstructCAD Project - Version 0.1                                    *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "layerrenamingmanager.h"

using namespace util;

/***************************************************************************
 * Construction/Destruction                                                *
 ***************************************************************************/

/** Constructor */
LayerRenamingManager::LayerRenamingManager()
{

}

/** Destructor */
LayerRenamingManager::~LayerRenamingManager()
{

}

/***************************************************************************
 * Public Methods                                                          *
 ***************************************************************************/

/**
 * Add a layer renaming
 * Call this function everytime a layer is renamed.
 */
void LayerRenamingManager::add(QString layerold, QString layernew) {
	
	//This is necessary because a bug in the GUI-Classes
	//When selecting layer 0 and clicking on "Rename" (without changing the name) 
	//The GUI calls this function.
	if(layerold=="0") {
		return;
	}

	LayerRenaming newrenaming(layerold,layernew);
	RenamingVector::iterator iter=renamings.begin();
	bool found=false;
	int foundat=0;
	for (iter=renamings.begin(), foundat=0; iter !=renamings.end(); iter++, foundat++)
		if (iter->getNewLayer() == newrenaming.getOldLayer())
		{
			found=true;
			break;
		}
	
	if (found)
	{
		//qDebug("found at position: "+QString::number(foundat));		
		LayerRenaming *found = &renamings.at(foundat);
		found->setNewLayer(newrenaming.getNewLayer());
		//qDebug("new renaming has been done");
	}
	else
	{
		//qDebug("not found");
		renamings.push_back(newrenaming);	
		//qDebug("added");
	}
	//showRenamings();
}

// EOF
